initramfs-tools-halium (2025.04.11.0+git20260819224035.e141c8c.droidian) trixie; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #4 from JamiKettunen/non-userdata-lvm
  * Merge pull request #5 from JamiKettunen/gki-halium-recovery

  [ Jami Kettunen ]
  * [scripts] halium: also accomodate resizing non-userdata LVM PV
  * [scripts] halium: support halium recovery on modern GKI kernels
  * [scripts] halium: avoid "offline charging" mode on GKI too
  * [scripts] halium: add panic hook
  * [scripts] halium: properly check if rootfs imagefile exists
  * [scripts] telnet: fixup dropbear ssh root login

 -- Eugenio Paolantonio <me@medesimo.eu>  Thu, 20 Aug 2026 00:40:35 +0200

initramfs-tools-halium (2025.04.11.0) next; urgency=medium

  [ Eugenio Paolantonio ]
  * Merge pull request #3 from droidian/feature/next/gki-load

  [ Eugenio Paolantonio (g7) ]
  * [scripts] halium: prefer modules.load or its override before the .recovery ones

 -- Eugenio Paolantonio <me@medesimo.eu>  Fri, 11 Apr 2025 23:04:10 +0200

initramfs-tools-halium (2024.12.18.0) next; urgency=medium

  * [scripts] halium: properly set defaults when "droidian.lvm" is not specified

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 18 Dec 2024 22:49:24 +0100

initramfs-tools-halium (2024.09.07.1) next; urgency=medium

  * [scripts] halium: rename droidian.lvm.prefer to droidian.lvm.disable

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 07 Sep 2024 23:46:47 +0200

initramfs-tools-halium (2024.09.07.0) next; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [halium] Improve lvm scanning

  [ arpio23 ]
  * [scripts] halium: Mount vendor only once.

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 07 Sep 2024 23:15:56 +0200

initramfs-tools-halium (2024.08.15.0) next; urgency=medium

  * [scripts] halium: add recovery_ready hook

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 14 Aug 2024 19:10:54 +0200

initramfs-tools-halium (2024.08.04.0) next; urgency=medium

  * [initramfs-tools-halium] Export __MODULES_TO_ADD similarly to what modern i-t expects

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 04 Aug 2024 22:10:45 +0200

initramfs-tools-halium (2024.06.18.0) next; urgency=medium

  * [packaging] Build-depend on parse-android-dynparts
  * [packaging] Build-depend on dmsetup
  * [initramfs-tools-halium] mount vendor and vendor_dlkm

 -- arpio23 <alex@familyrutz.com>  Tue, 18 Jun 2024 13:21:22 -0600

initramfs-tools-halium (2023.12.30.1) trixie; urgency=medium

  * halium: allow for overriding modules.load or using modules.load.recovery

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 30 Dec 2023 16:04:18 -0500

initramfs-tools-halium (2023.12.30.0) trixie; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [initramfs-tools-halium] Build initramfs against a Debian 9 ("stretch") installation
  * [initramfs-tools-halium] Build lz4-compressed initramfs and recovery images
  * Merge branch 'feature/trixie/back-in-time-no-downgrade' into droidian

  [ Bardia Moshiri ]
  * debian: bump compat to 13
  * debian: drop changelog
  * treewide: drop old unused scripts and files

  [ Jami Kettunen ]
  * scripts: Add initial support for gki kernel modules
  * halium: detect recovery-as-boot via bootconfig as well
  * halium: copy kernel modules over for recovery-as-root

  [ TheKit ]
  * halium: boot into recovery on A/B devices by including it into the ramdisk

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 30 Dec 2023 15:37:01 +0100

initramfs-tools-halium (2023.12.22.0) trixie; urgency=medium

  * rebuild
  * rebuild

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 21 Dec 2023 00:36:31 -0500

initramfs-tools-halium (2023.11.15.0) trixie; urgency=medium

  * [skip ci] Move to Droidian rolling
  * [initramfs-tools-halium] Empty commit to refresh initramfs

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 16 Nov 2023 00:06:13 +0100

initramfs-tools-halium (2023.02.26.0) bookworm; urgency=medium

  * [skip ci] Replace Drone with CircleCI
  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * [initramfs-tools-halium] Copy udev hwdb
  * [initramfs-tools-halium] halium: libdl.so -> libdl.so.2

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 26 Feb 2023 17:39:50 +0100

initramfs-tools-halium (2022.08.07.0) bookworm; urgency=medium

  * [initramfs-tools-halium] Include mke2fs, tar and pigz into the recovery image
  * [initramfs-tools-halium] Trigger panic after 5 unlock tries (only in recovery mode)

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 07 Aug 2022 16:10:00 +0200

initramfs-tools-halium (2022.07.05.0) bookworm; urgency=medium

  * [initramfs-tools-halium] Always scan for volume groups

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 04 Jul 2022 21:21:32 +0200

initramfs-tools-halium (2022.06.26.0) bookworm; urgency=medium

  * [initramfs-tools-halium] Refresh

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 26 Jun 2022 17:57:42 +0200

initramfs-tools-halium (2022.06.19.0) bookworm; urgency=medium

  * [initramfs-tools-halium] Refresh

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 19 Jun 2022 17:25:03 +0200

initramfs-tools-halium (2022.06.09.0) bookworm; urgency=medium

  * [initramfs-tools-halium] Refresh

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 09 Jun 2022 00:53:46 +0200

initramfs-tools-halium (2022.06.07.2) bookworm; urgency=medium

  * [initramfs-tools-halium] Copy xkb data

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 07 Jun 2022 17:24:05 +0200

initramfs-tools-halium (2022.06.07.0) bookworm; urgency=medium

  * [initramfs-tools-halium] Add hook facility
  * [initramfs-tools-halium] Add LUKS-on-LVM suport

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 07 Jun 2022 16:00:06 +0200

initramfs-tools-halium (2022.06.06.2) bookworm; urgency=medium

  * [initramfs-tools-halium] Do not start dropbear in background

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 06 Jun 2022 18:05:05 +0200

initramfs-tools-halium (2022.06.06.1) bookworm; urgency=medium

  * [initramfs-tools-halium] Setup and start dropbear on recovery

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 06 Jun 2022 17:20:50 +0200

initramfs-tools-halium (2022.06.06.0) bookworm; urgency=medium

  * [initramfs-tools-halium] Bargain basement recovery mode

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Mon, 06 Jun 2022 15:10:16 +0200

initramfs-tools-halium (2022.05.28.1) bookworm; urgency=medium

  * [initramfs-tools-halium] Copy touchscreen udev rules

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 28 May 2022 16:51:12 +0200

initramfs-tools-halium (2022.05.28.0) bookworm; urgency=medium

  * [packaging] Build-depend on busybox-static

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 28 May 2022 12:39:53 +0200

initramfs-tools-halium (2022.05.21.0) bookworm; urgency=medium

  * [packaging] Build-depend on unl0kr

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 21 May 2022 22:42:50 +0200

initramfs-tools-halium (2022.05.08.0) bookworm; urgency=medium

  * [initramfs-tools-halium] halium: ignore systempart= cmdline if .ignore_systempart flag exists in the data partition

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 08 May 2022 01:51:50 +0200

initramfs-tools-halium (2022.05.07.1) bookworm; urgency=medium

  * [initramfs-tools-halium] build-initrd-nochroot: remove supported compression check

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 07 May 2022 18:22:06 +0200

initramfs-tools-halium (2022.05.07.0) bookworm; urgency=medium

  * [initramfs-tools-halium] droidian: support systempart-in-LVM

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sat, 07 May 2022 14:44:53 +0200

initramfs-tools-halium (2021.11.24.0) bullseye; urgency=medium

  * [initramfs-tools-halium] Empty commit to pick new plymouth

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Wed, 24 Nov 2021 00:20:30 +0100

initramfs-tools-halium (2021.11.23.0) bullseye; urgency=medium

  * Revert "halium: do not reboot on Android 8+ devices when in power off charging mode"

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 23 Nov 2021 20:02:40 +0100

initramfs-tools-halium (2021.11.14.0) bullseye; urgency=medium

  * [packaging] Build-depend on plymouth and plymouth-droidian-theme

 -- r3vn <giuseppe.corti@protonmail.com>  Sun, 14 Nov 2021 17:34:43 +0100

initramfs-tools-halium (2021.08.03.0) bullseye; urgency=medium

  [ TheKit ]
  * halium: do not reboot on Android 8+ devices when in power off charging mode

  [ Jami Kettunen ]
  * halium: Avoid broken 'android' boot mode on Android 8+ devices

  [ Eugenio Paolantonio (g7) ]
  * [ci] Updated to match new name [CI SKIP]
  * [packaging] Build-depend on lvm2 (to include it in the prebuilt initramfs)
  * [packaging] Build-depend on cryptsetup-initramfs too

 -- TheKit <nekit1000@gmail.com>  Tue, 03 Aug 2021 12:02:37 +0200

initramfs-tools-halium (2021.02.12.1) bullseye; urgency=medium

  * [ci] Move to Drone CI
  * halium: allow fallbacking to an eventual system image available inside the rootfs on "halium" file layouts
  * [ci] Removed old travis.yml

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 31 Jan 2021 19:00:34 +0100

initramfs-tools-halium (2020.10.09.0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * [travis-ci] Build initramfs-tools-halium on our infra
  * [initramfs-tools-halium] build-initrd-nochroot: added (allows building an initramfs from an installed Debian system/buildd, without requiring a chroot)
  * [packaging] Build and ship initramfs images in the linux-initramfs-halium-generic package

  [ Florian Leeber ]
  * Add additional file layout for legacy boot mode

  [ Dalton Durst ]
  * Start refactoring the build-initrd script to meet our needs
  * Add the new touch and adbd scripts, and improve the build script's reliability
  * Actually let the adbd script quit during building
  * Add mirror option, remove adbd, get config from environment if possible, don't get upstart
  * Change to touch script, as in upstream
  * Casually switch to a Debian-based initramfs
  * The by_name mountpoints are created by udev
  * Replace 'touch' and 'ubuntu' with 'halium', fix a couple of mistakes in the 'touch' script
  * Add a readme
  * Fix 'partition' typo
  * Removed unused code, only deploy on master (#5)
  * Update .travis.yml to correctly deploy
  * change build/ to out/ in deploy
  * Tag releases as "continuous"
  * Remove panic reason since it doesn't work
  * Ensure that all of the data's are the same
  * Underscore rather than dash in before_deploy
  * Try to fix travis-ci build again
  * travis-ci: Tweak build
  * travis-ci: Tweak build (again)
  * travis-ci: Use sudo
  * Minor improvements (#6)
  * Add resize2fs to initramfs
  * Remove check for 'ubports' boot mode, clarify two comments
  * Make rootfs mounting more consistent and robust
  * Create a symlink to 'system/vendor' if no vendor partition is mounted
  * Add support for mounting non-ext4 partitions
  * Always set TRAVIS_TAG=continuout
  * Set TRAVIS_TAG in before_deploy
  * Replace my API key with a bot who only has access to this repository
  * Try to add the key using Travis' built-in tools
  * Try it travis' way again
  * Add timestamps and sha256sum to each file output
  * Set skip_cleanup again
  * Do not cache the initramfs build directories
  * Actually send the new artifacts to GitHub

  [ Alfred E. Neumayer ]
  * halium: Support devices without /cache in fstab (#19)

  [ Marius Gripsgard ]
  * Add configfs support

  [ JBB ]
  * Unify coding style
  * Remove duplicated moving of /tmpmnt to ${rootmnt}/userdata (#10)
  * Enable parallel builds on travis ci (#17)
  * build-initrd: Change default release to stretch

  [ Ratchanan Srirattanamet ]
  * Import version 0.94vivid5 from stable-phone-overlay.
  * scripts/touch: add support for using Android initrd in image rootfs.
  * script/touch: add charger bootmode detection logic.
  * debian: release 0.94vivid5ubports1
  * Always move android rootfs mount in android mode

  [ Sergey Popov ]
  * Implement basic support for A/B devices (#14)

  [ Tofe ]
  * Improvements for usage by LuneOS (#11)

  [ Andreas Zuber ]
  * Send log messages to kmsg (#7)

  [ JBBgameich ]
  * Initial Halium preparations
  * Import Halium/initrd-builder
  * Remove unused code
  * Make hook architecture independent
  * build-initrd.sh: Remove unused sed command and switch to deb.debian.org mirror
  * debian: Add additional dependencies
  * debian: Adapt to rebrand
  * debian: Correct my email adress in changelog
  * build initramfs on Travis CI

  [ Dan Chapman ]
  * Add Jenkinsfile

  [ Oliver Grawert ]
  * Initial Release
  * * add finer grained partition detection, support "UDA userdata" as partition
  * * add dependency on abootimg
  * depend on udev (>= 175-0ubuntu29) since we rely on the changes
  * write panic info to dmesg so we can read it on failure from
  * set console=tty1 in grouper bootimg config
  * * make the data partition detection more generic and use the actual device
  * use MODULES=list by default to make sure we do not get modules installed.
  * * divert all initramfs scripts and hooks we dont need
  * allow 16M bootimg on mako, for some reason zImage in the mako kernel
  * make sure find only returns one link to the userdata partition in
  * move adbd to be spawned by a panic hook so it will also be started on
  * ugh, do not install scripts/ into scripts/scripts/
  * fix the adbd panic script ... now works for all panics reliable except
  * add apparmor=0 to all commandlines until the apparmor kernel breakage is
  * * ship a "flash-touch-initrd" script
  * * ship a "flash-touch-initrd" script
  * * ship a "flash-touch-kernel" developer tool so one does not always need to
  * for some reason the adbd linked libs do not get copied by copy_exec, as a
  * add support for "KERNEL" partition name (used by some samsung devices)
  * add /etc/kernel/postinst.d/flash-touch-kernel so it gets flashed
  * drop the last change, somehow FLASH_KERNEL_SKIP isnt set during live-build
  * also add USERDATA to accepted partition labels
  * add support for datapart= commandline option in touch boots, this way
  * fix typo
  * ship "append-cmdline-arg" and "remove-cmdline-arg" scripts to easily
  * merge ubuntu-touch-generic-initrd so we save one no-change upload per
  * fix build deps for new package merge
  * * gracefully exit the initrd build script if we are not on armhf
  * No change rebuild to try and get bin/chown et al back in the initrd...
  * revert the last change as it breaks booting innn image 16 completely
  * revert last change and replace it by an equally ugly but possibly working
  * make sure that flash-touch-initrd and flash-touch-kernel can not be run
  * fix flash-touch-initrd for cdimage images to do an exact match of the
  * instead of gunzipping the android initrd for just retrieving fstab, lets
  * make the globbing in append-|remove-cmdline-arg more precise
  * * add more verbosity to teh build script and dump the debootstrap.log file
  * force usage of the fakechroot-config in deboostrap so we explicitly
  * and actually add a debootstrap.env confiuration in the fakechroot-config
  * try using -s for fakechroot command to overcome a chroot error during
  * last change did sadly not help, revert again ...
  * add support for adding a "#endubuntu" line to androids fstab, that way
  * no-change rebuild to pick up new initramfs-tools (LP: #1443329)
  * enable support for /userdata/.writable_device_image, thanks to

  [ Ricardo Salveti de Araujo ]
  * Removing the 'apparmor=0' boot cmdline as the android container profile is
  * * Drop manual /system mount when running with the emulator
  * Reverting the revert as that had nothing to do with the image issue
  * Also building ubuntu-touch-generic-initrd for amd64 and i386
  * * Bind mounting ubuntu overlay files (available in the android system.img)
  * * Adding support for real partitions, keeping old boot methods
  * [ Jani Monoses ]
  * Adding logic to handle factory mode
  * Also booting directly into android when in meta mode (krillin specific at
  * * Pointing android userdata to /data/android-data so both systems can share
  * * Adding e2fsck so we can check the rw partitions when booting
  * scripts/touch: mounting userdata with data=journal as a workaround
  * scripts/touch: adding logic to set properties based on the system
  * scripts/touch: adding extra property for the channel id (LP: #1420242)
  * Bumping against latest initramfs-tools
  * Bumping against latest initramfs-tools
  * scripts/touch: allow the fstab to use an entry without label
  * Adding mount binary, so it can better understand the original fstab

  [ Dimitri John Ledkov ]
  * * Glob any device specific fstab, instead of fstab with any suffix.

  [ Stéphane Graber ]
  * Add support for loop-mounted images. This will detect the presence of a
  * Add support for loop-mounted devices.
  * releasing version 0.18
  * add system-image to the read-write paths.
  * Add system-image to the writable paths.
  * releasing version 0.23
  * replace /data by /userdata for the userdata mount point.
  * Replace /data by /userdata for the userdata partition
  * Update changelog
  * releasing version 0.24
  * * Update initrd for loop-back images:
  * Update initrd for loop-back images.
  * releasing version 0.25
  * Fix broken sed statement in client.ini file generation.
  * Fix broken sed
  * releasing version 0.26
  * Properly detect the partitions on grouper (image install only).
  * Fix grouper with image installs
  * releasing version 0.27
  * Remove system-image/client.ini mangling and add cleanup code.
  * releasing version 0.28
  * Remove system-image/client.ini mangling and add cleanup code.
  * Use writable-paths
  * releasing version 0.32
  * Update scripts/touch to parse the new writable-paths file instead of
  * [ Matthew Fischer ]
  * releasing version 0.36
  * Replace .develoepr_mode by .writable_image (LP: #1217048)
  * Rename .developer_mode to .writable_image
  * releasing version 0.37
  * [ Loïc Minier ]
  * Add fith column to writable-paths
  * Add transition code for .developer_mode
  * releasing version 0.38
  * Fix typo
  * releasing version 0.39
  * Fix typo in previous upload.
  * Fix /lib/modules bind-mounting code in initrd.
  * Setup the SWAP device if present.
  * Chown the home directory after copying the customization files.
  * Add /bin/chown to the initrd.
  * Add chown to the initrd
  * releasing version 0.48
  * Fix file ownership and permissions
  * releasing version 0.49
  * Use stat to restore the file ownership and permissions when diverting
  * No change rebuild to try and get bin/chown et al back in the initrd...
  * No change rebuild
  * releasing version 0.51
  * Fix synced mode on first boot
  * releasing version 0.52
  * Fix synced mode to act as if "transition" is set on first boot.
  * * Don't run fsck on the phone since we don't have plymouth and so
  * [ Chris Wayne ]
  * Merge branch to add multi-user support to customization. Add extra change to work with spaces in homedir path.
  * releasing version 0.62
  * Workaround behaviour change in busybox where loop mounted fs that
  * Fix read-write remounts.
  * releasing version 0.63
  * Enable trim on userdata
  * releasing version 0.64
  * Enable discard (TRIM) for the userdata partition.
  * Ugly workaround to fix FTBFS, add fakechroot to the chroot packages.

  [ Chris Wayne ]
  * Stop hardcoding phablet
  * Fixing touch script

  [ Dmitrijs Ledkovs ]
  * Skip calling readlink with empty $part, when partition from in
  * * Create ${rootmnt}/android directory before mounting.

  [ Loïc Minier ]
  * Add a shell syntax check (sh -n) for etc/initramfs/post-update.d/* hooks/*
  * Merge lp:~xnox/ubuntu/saucy/initramfs-tools-ubuntu-touch/emulator.
  * [ Dmitrijs Ledkovs ]

  [ Martin Pitt ]
  * Fix synced mode to not write over existing symlinks. (LP: #1234051)

  [ Colin Watson ]
  * Only run fakeroot once in build-initrd.sh, rather than trying to use a

  [ StÃ©phane Graber ]
  * Add a new "synced" mode to writable-paths which will automatically copy

  [ Adam Conrad ]
  * Restrict initramfs-tools-ubuntu-touch to arches that build adbd.

  [ Matthew Fischer ]
  * Add code to support /custom

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 17 Nov 2020 02:09:37 +0100

